# The Customer Session object

### The Customer Session object

```json
{
  "object": "customer_session",
  "client_secret": "_POpxYpmkXdtttYtZQYhrsOJZ2RCQ9kCqqXRU6qrP5c4Jgje",
  "components": {
    "buy_button": {
      "enabled": false
    },
    "pricing_table": {
      "enabled": true
    }
  },
  "customer": "cus_PO34b57IOUb83c",
  "expires_at": 1684790027,
  "livemode": false
}
```

## Attributes

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `client_secret` (string)
  The client secret of this Customer Session. Used on the client to set up secure access to the given `customer`.

  The client secret can be used to provide access to `customer` from your frontend. It should not be stored, logged, or exposed to anyone other than the relevant customer. Make sure that you have TLS enabled on any page that includes the client secret.

- [`components`](https://docs.stripe.com/api/customer_sessions/object.md?query=components) (object)
  This hash defines which component is enabled and the features it supports.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `customer` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The Customer the Customer Session was created for.

- `customer_account` (string, nullable)
  The Account that the Customer Session was created for.

- `expires_at` (timestamp)
  The timestamp at which this Customer Session will expire.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
